Debian Bug report logs - #485492
unrar: Please build shared library

version graph

Package: unrar-nonfree; Maintainer for unrar-nonfree is Martin Meredith <mez@debian.org>;

Reported by: Hilko Bengen <bengen@debian.org>

Date: Mon, 9 Jun 2008 20:57:15 UTC

Owned by: Martin Meredith <mez@debian.org>

Severity: wishlist

Tags: help

Fixed in version unrar-nonfree/1:4.2.4-0.1

Done: Nick Andrik <nick.andrik@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to rar@rarlabs.com

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>, Martin Meredith <mez@ubuntu.com>:
Bug#485492; Package unrar. Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
New Bug report received and forwarded. Copy sent to Hilko Bengen <bengen@debian.org>, Martin Meredith <mez@ubuntu.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unrar: Please build shared library
Date: Mon, 09 Jun 2008 22:49:12 +0200
Package: unrar
Version: 1:3.7.8-2
Severity: wishlist

The unrar source distribution contains code to enable building a
shared library that can be linked to by other programs. Please provide
libunrar{-dev} packages.

Thanks,
-Hilko

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages unrar depends on:
ii  libc6                         2.7-12     GNU C Library: Shared libraries
ii  libgcc1                       1:4.3.0-5  GCC support library
ii  libstdc++6                    4.3.0-5    The GNU Standard C++ Library v3

unrar recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#485492; Package unrar. Full text and rfc822 format available.

Acknowledgement sent to Martin Meredith <mez@ubuntu.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 485492@bugs.debian.org (full text, mbox):

From: Martin Meredith <mez@ubuntu.com>
To: 485492@bugs.debian.org, control@bugs.debian.org
Date: Mon, 16 Jun 2008 19:45:59 +0100
[Message part 1 (text/plain, inline)]
forwarded 485492 rar@rarlabs.com

thanks

It's refusing to compile the libs stuff for me - compiling the DLL
requires a definition for LPARAM

I can't fix this myself - have forwarded the bug upstream
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to rar@rarlabs.com. Request was from Martin Meredith <mez@ubuntu.com> to control@bugs.debian.org. (Mon, 16 Jun 2008 19:00:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#485492; Package unrar. Full text and rfc822 format available.

Acknowledgement sent to Martin Meredith <mez@ubuntu.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #17 received at 485492@bugs.debian.org (full text, mbox):

From: Martin Meredith <mez@ubuntu.com>
To: control@bugs.debian.org, 485492@bugs.debian.org
Date: Tue, 12 Aug 2008 13:44:45 +0100
tags 485492 +help
thanks

Seems upstream isn't taking an interest in this.

Anyone want to have a look and try and help?





Tags added: help Request was from Martin Meredith <mez@ubuntu.com> to controlbugs.debian.org. (Tue, 12 Aug 2008 12:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@ubuntu.com>:
Bug#485492; Package unrar. (Tue, 11 Nov 2008 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fran <janglodel@yahoo.es>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@ubuntu.com>. (Tue, 11 Nov 2008 16:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 485492@bugs.debian.org (full text, mbox):

From: Fran <janglodel@yahoo.es>
To: 485492@bugs.debian.org
Subject: LPARAM definition
Date: Tue, 11 Nov 2008 17:20:08 +0100
Hi

Try adding #define LPARAM long in #ifdef _UNIX:

#ifdef _UNIX
#define CALLBACK
#define PASCAL
#define LONG long
#define HANDLE void *
#define LPARAM long
#define UINT unsigned int
#endif

It's already fixed in the 3.8.5 source:
http://www.rarlab.com/rar/unrarsrc-3.8.5.tar.gz

Regards

--
Fran





Owner recorded as Martin Meredith <mez@debian.org>. Request was from Martin Meredith <mez@debian.org> to control@bugs.debian.org. (Sun, 11 Jan 2009 19:24:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#485492; Package unrar. (Tue, 23 Aug 2011 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Tue, 23 Aug 2011 19:27:03 GMT) Full text and rfc822 format available.

Message #31 received at 485492@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 485492@bugs.debian.org
Subject: Re: LPARAM definition
Date: Tue, 23 Aug 2011 14:56:17 -0430
[Message part 1 (text/plain, inline)]
On Tue, Nov 11, 2008 at 05:20:08PM +0100, Fran wrote:
> It's already fixed in the 3.8.5 source:
> http://www.rarlab.com/rar/unrarsrc-3.8.5.tar.gz

Is there any chance that this could be fixed soon?

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#485492; Package unrar. (Tue, 20 Nov 2012 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Tue, 20 Nov 2012 03:51:03 GMT) Full text and rfc822 format available.

Message #36 received at 485492@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 485492@bugs.debian.org
Date: Tue, 20 Nov 2012 04:46:15 +0100
[Message part 1 (text/plain, inline)]
I made a first attempt to also build the shared library of the package.

You can find an updated source package on the mentors site:
https://mentors.debian.net/package/unrar-nonfree

The changes needed is an updated debian/rules file and a patch in
makefile.unix from upstream.
I didn't split the package into two (library/binary), if this is
needed please let me know.

I attach the debdiff between the previous and the new version

Hope this issue is resolved so that we can finally have CBR support in calibre.

--
=Do-
N.AND
[debdiff_4.1.4-1_4.1.4-1+andrik1.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#485492; Package unrar. (Tue, 20 Nov 2012 05:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Tue, 20 Nov 2012 05:03:03 GMT) Full text and rfc822 format available.

Message #41 received at 485492@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 485492@bugs.debian.org
Date: Tue, 20 Nov 2012 05:58:50 +0100
Actually my 4.1.4 package would crash calibre when trying to extract
CBR files but the updated 4.2.4 (most recent upstream) seems to work
just fine.

You can always find both versions on mentors:
http://mentors.debian.net/package/unrar-nonfree

Nick



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#485492; Package unrar. (Mon, 21 Jan 2013 22:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Mon, 21 Jan 2013 22:27:07 GMT) Full text and rfc822 format available.

Message #46 received at 485492@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 687839@bugs.debian.org, 485492@bugs.debian.org, 694611@bugs.ddebian.org
Cc: Martin Meredith <mez@debian.org>
Date: Mon, 21 Jan 2013 23:24:54 +0100
I have prepared an NMU closing 3 bugs included this one.

The updated package can be found on mentors [1]

Martin, I know the package is in lowNMU [2] category, but the the
changes are not trivial (general cleanup, conversion to CDBS, closing
3 bugs).
So, according to the instuctions in the NMU process [3] I would like
to ask your permission to go forward.

In any case, I am also offering to adopt the package if for any reason
this way is more conveninet for you

Best regards,
Nick


[1] http://mentors.debian.net/package/unrar-nonfree
[2] http://wiki.debian.org/LowThresholdNmu
[3] http://www.debian.org/doc/manuals/developers-reference/pkgs.html#nmu



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#485492; Package unrar. (Mon, 21 Jan 2013 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Meredith <martin@sourceguru.net>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Mon, 21 Jan 2013 23:36:03 GMT) Full text and rfc822 format available.

Message #51 received at 485492@bugs.debian.org (full text, mbox):

From: Martin Meredith <martin@sourceguru.net>
To: Nick Andrik <nick.andrik@gmail.com>, 694611@bugs.debian.org
Cc: 687839@bugs.debian.org, 485492@bugs.debian.org, 694611@bugs.ddebian.org
Subject: Re: Bug#694611:
Date: Mon, 21 Jan 2013 23:34:22 +0000
[Message part 1 (text/plain, inline)]
Why the confersion to cdbs?

Ca I gets a debdiff?


On Mon, Jan 21, 2013 at 10:28 PM, Nick Andrik <nick.andrik@gmail.com> wrote:

> I have prepared an NMU closing 3 bugs included this one.
>
> The updated package can be found on mentors [1]
>
> Martin, I know the package is in lowNMU [2] category, but the the
> changes are not trivial (general cleanup, conversion to CDBS, closing
> 3 bugs).
> So, according to the instuctions in the NMU process [3] I would like
> to ask your permission to go forward.
>
> In any case, I am also offering to adopt the package if for any reason
> this way is more conveninet for you
>
> Best regards,
> Nick
>
>
> [1] http://mentors.debian.net/package/unrar-nonfree
> [2] http://wiki.debian.org/LowThresholdNmu
> [3] http://www.debian.org/doc/manuals/developers-reference/pkgs.html#nmu
>
[Message part 2 (text/html, inline)]

Bug reassigned from package 'unrar' to 'unrar-nonfree'. Request was from Martin Meredith <martin@sourceguru.net> to control@bugs.debian.org. (Mon, 21 Jan 2013 23:48:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions unrar-nonfree/1:3.7.8-2. Request was from Martin Meredith <martin@sourceguru.net> to control@bugs.debian.org. (Mon, 21 Jan 2013 23:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#485492; Package unrar-nonfree. (Mon, 21 Jan 2013 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Mon, 21 Jan 2013 23:57:03 GMT) Full text and rfc822 format available.

Message #60 received at 485492@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: Martin Meredith <martin@sourceguru.net>
Cc: 694611@bugs.debian.org, 687839@bugs.debian.org, 485492@bugs.debian.org
Subject: Re: Bug#694611:
Date: Tue, 22 Jan 2013 00:54:11 +0100
[Message part 1 (text/plain, inline)]
2013/1/22 Martin Meredith <martin@sourceguru.net>:
> Why the confersion to cdbs?
>
> Ca I gets a debdiff?

I switched to cdbs because I think (on my experience) it produces way
much simpler debian/rules, especially now that we have to also support
hardening flags and we build both a binary and a library package.

Also, if you recall the discussion on the license of debian/* files, I
would appreciate a word on what license the packaging (debian/*) files
should be put under.

You can find the debdiff attached.

Thank you very much,
Nick
[unrar-nofree_4.1.4-1_4.2.4-0.1.debdiff (application/octet-stream, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 31 Jan 2013 19:06:02 GMT) Full text and rfc822 format available.

Reply sent to Nick Andrik <nick.andrik@gmail.com>:
You have taken responsibility. (Sat, 16 Feb 2013 13:03:03 GMT) Full text and rfc822 format available.

Notification sent to Hilko Bengen <bengen@debian.org>:
Bug acknowledged by developer. (Sat, 16 Feb 2013 13:03:03 GMT) Full text and rfc822 format available.

Message #67 received at 485492-close@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 485492-close@bugs.debian.org
Subject: Bug#485492: fixed in unrar-nonfree 1:4.2.4-0.1
Date: Sat, 16 Feb 2013 13:00:05 +0000
Source: unrar-nonfree
Source-Version: 1:4.2.4-0.1

We believe that the bug you reported is fixed in the latest version of
unrar-nonfree, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 485492@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nick Andrik <nick.andrik@gmail.com> (supplier of updated unrar-nonfree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 21 Jan 2013 23:07:40 +0100
Source: unrar-nonfree
Binary: unrar libunrar0 libunrar0-dev
Architecture: source all amd64
Version: 1:4.2.4-0.1
Distribution: unstable
Urgency: low
Maintainer: Martin Meredith <mez@debian.org>
Changed-By: Nick Andrik <nick.andrik@gmail.com>
Description: 
 libunrar0  - Unarchiver for .rar files (non-free version) - shared library
 libunrar0-dev - Unarchiver for .rar files (non-free version) - development files
 unrar      - Unarchiver for .rar files (non-free version) - binary program
Closes: 485492 687839 694611
Changes: 
 unrar-nonfree (1:4.2.4-0.1) unstable; urgency=low
 .
   * Non-maintainer upload
 .
   * New upstream release (Closes: #687839)
 .
   * Add shared library binary and headers packages
     - Add entries into control file
     - Add libunrar0.{install,link,symbols} files
     - Add libunrar0-dev.install file
     - Patch missing binary object targets for library building
       (fix_missing_symbols)
     - Rename previous unrar-nonfree.{1,dirs,install,prerm,postint} file to
       unrar.* ones
     - Make sure libunrar.so is built (Closes: #485492, LP: #390263)
   * Converted package to CDBS:
     - Simplified rules file
     - Added cdbs build-deps
   * Added hardening support (Closes: #694611)
     - Updated compatibility version to 9
     - Added versioned dpkg-dev build-dep
   * Updated copyright information:
     - Machine-readable format
     - Added missing files/licenses
   * General maintentance:
     - Moved the homepage field in cortol file to the appropriate place
     - Bumped standards version to 3.9.4
     - Remove versioned conflict dependency
Checksums-Sha1: 
 a820bceb8a1c62ca9ceb53cdadccd7ccefed5ab8 1902 unrar-nonfree_4.2.4-0.1.dsc
 1cc29603fb4e4df16a3aa9bfc7da1afaf0923259 164641 unrar-nonfree_4.2.4.orig.tar.gz
 f0b1ba3868e3feec0587e665c411dd6bafff5238 13015 unrar-nonfree_4.2.4-0.1.debian.tar.gz
 d862cdebdb01330ebd3ccaeb4c6b711b6d746774 42582 libunrar0-dev_4.2.4-0.1_all.deb
 27a59f76fc0480da97ac639f9fab948f1ab320e3 116804 unrar_4.2.4-0.1_amd64.deb
 423894a6e0fc1183b8dd009ba3088ed9fc28de6c 130540 libunrar0_4.2.4-0.1_amd64.deb
Checksums-Sha256: 
 9d16e6933810ed86c4c2bbec458f59c5d7b50c261b0e315312847fe6ff376336 1902 unrar-nonfree_4.2.4-0.1.dsc
 9432bf798e5f7123f3060f37b75b7c07f36f0091305f46473dcae9154f8cd686 164641 unrar-nonfree_4.2.4.orig.tar.gz
 67b94dbcb6fff8331e55ece5c73ad47bd847c14635c72175e1111cf4b47e35fe 13015 unrar-nonfree_4.2.4-0.1.debian.tar.gz
 463e9a43be994662e648bd8a938dff717a863b0cac71b8232a8bced5c8714c9e 42582 libunrar0-dev_4.2.4-0.1_all.deb
 4a152c33bcf25c5dcd68c2daedb2e86f0ac2945a824e644ed427267d42f82946 116804 unrar_4.2.4-0.1_amd64.deb
 1781b0a10563cf7af91dcb77e4eef5fe15e8421fabf7d5f476fe2ae6893725cb 130540 libunrar0_4.2.4-0.1_amd64.deb
Files: 
 13e81588e9b1d0401280e560c5108fdd 1902 non-free/utils optional unrar-nonfree_4.2.4-0.1.dsc
 8ea9d1b4139474b282d76e627a2de3e4 164641 non-free/utils optional unrar-nonfree_4.2.4.orig.tar.gz
 ba618b46ad2a23d4be263cab65704d1b 13015 non-free/utils optional unrar-nonfree_4.2.4-0.1.debian.tar.gz
 b2b282a8ec4e164571bb4a054defde1c 42582 non-free/libdevel optional libunrar0-dev_4.2.4-0.1_all.deb
 ae0733821d426c0ba6bacebf5efb7653 116804 non-free/utils optional unrar_4.2.4-0.1_amd64.deb
 7b7ca471d274eb42ba3c620c3e05b9b3 130540 non-free/libs optional libunrar0_4.2.4-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRCmskAAoJEHQmOzf1tfkTSQAP/2ILxoN/fkcvDEwR0q0DkucV
sTmGLP4cJnGvXQdYb93n9kDVDM+MHKY/cs91QebWUujFDhaTpw0IiQx6aQYKa4yx
xe+QABIz+JkjMZFZa197boTUpyXtUevXIhUnzuH4rrGUsXW0hM1rUMWq2HEISS7U
X7jU6NVzZ8SJf2tfOWgwXMyPzIK+9AZdSHDqlqzFCSnmss5stCbRZvbvcmR2lC85
WEGFZ3PE/jhuZ4dh5XzFx6pouuh6uKW7yoaERhf9N4HSXCF28M2ydFg9DlyKu+JS
sxv+NY9dbCL2jdDyq/Cap//s929PgQtNTyxbR85fTBWmVl31/hBg+5AdiY1Zm8os
XNVEDIoxloKTiJMXD3KZ4Ngf6gVt/jPMZRUincUidbVhWA4MvRyE6nt91TRajQlE
YkpwOMe49HNY44scdAwWuQMSN0dV9CvLcbdy+VYdqsiAkZq2NDAWqxOI365edr4P
RI9PwRsbwX8xyG5iORI01FxbXdUprzlhBlp2TocWEiJx+U4JR2QB2LoS4c7rx8d+
38mpde3qjQQuFaW1uFFHgxmkfD+U4l3rMKWOewnS91553ukEhRlE+eV5QOG7GMmk
tapZPFxClsbBJRY6NUDHCiHyKJGQpDSWzcXMc4gUS3hITq7PmXY2c8ij3j2XfQiw
k1YRUfUWfLrXCvH4qLd3
=Shwa
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#485492; Package unrar-nonfree. (Fri, 01 Mar 2013 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Fri, 01 Mar 2013 17:27:03 GMT) Full text and rfc822 format available.

Message #72 received at 485492@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Nick Andrik <nick.andrik@gmail.com>, 694611@bugs.debian.org
Cc: Martin Meredith <martin@sourceguru.net>, John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 687839@bugs.debian.org, 485492@bugs.debian.org
Subject: Re: Bug#694611:
Date: Fri, 1 Mar 2013 18:21:38 +0100
On Tue, 2013-01-22 at 00:54:11 +0100, Nick Andrik wrote:
> 2013/1/22 Martin Meredith <martin@sourceguru.net>:
> > Why the confersion to cdbs?
> >
> > Ca I gets a debdiff?
> 
> I switched to cdbs because I think (on my experience) it produces way
> much simpler debian/rules, especially now that we have to also support
> hardening flags and we build both a binary and a library package.
> 
> Also, if you recall the discussion on the license of debian/* files, I
> would appreciate a word on what license the packaging (debian/*) files
> should be put under.

Did Martin ever agree to the packaging helper conversion, maybe
offlist (uploader CCed)? Otherwise such stuff is completely
unacceptable for an NMU.

Thanks,
Guillem



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#485492; Package unrar-nonfree. (Fri, 01 Mar 2013 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Fri, 01 Mar 2013 20:30:03 GMT) Full text and rfc822 format available.

Message #77 received at 485492@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: Guillem Jover <guillem@debian.org>, 485492@bugs.debian.org
Cc: 694611@bugs.debian.org, Martin Meredith <martin@sourceguru.net>, John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 687839@bugs.debian.org
Subject: Re: Bug#485492: Bug#694611:
Date: Fri, 1 Mar 2013 21:26:39 +0100
That was discussed also in order to accept the package after it got in
NEW (it includes a new binary for libraries) and the maintainer had no
objections.
http://www.webpagescreenshot.info/i/666683-312013102255PM.png

Best regards,
Nick

--
=Do-
N.AND


2013/3/1 Guillem Jover <guillem@debian.org>:
> On Tue, 2013-01-22 at 00:54:11 +0100, Nick Andrik wrote:
>> 2013/1/22 Martin Meredith <martin@sourceguru.net>:
>> > Why the confersion to cdbs?
>> >
>> > Ca I gets a debdiff?
>>
>> I switched to cdbs because I think (on my experience) it produces way
>> much simpler debian/rules, especially now that we have to also support
>> hardening flags and we build both a binary and a library package.
>>
>> Also, if you recall the discussion on the license of debian/* files, I
>> would appreciate a word on what license the packaging (debian/*) files
>> should be put under.
>
> Did Martin ever agree to the packaging helper conversion, maybe
> offlist (uploader CCed)? Otherwise such stuff is completely
> unacceptable for an NMU.
>
> Thanks,
> Guillem
>
> --
> To unsubscribe, send mail to 485492-unsubscribe@bugs.debian.org.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 09:23:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:29:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.